AnnotationConstantExpression (groovy 2.4.16 API)
Date: 2018-12-09

Package: org.codehaus.groovy.ast.expr

## [Java] Class AnnotationConstantExpression

- org.codehaus.groovy.ast.expr.AnnotationConstantExpression

- Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

  Authors:
    Alex Popescu

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ConstantExpression` | `EMPTY_EXPRESSION, EMPTY_STRING, FALSE, NULL, PRIM_FALSE, PRIM_TRUE, TRUE, VOID`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AnnotationConstantExpression (AnnotationNode node)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ConstantExpression` | `getConstantName, getText, getValue, isEmptyStringExpression, isFalseExpression, isNullExpression, isTrueExpression, setConstantName, toString, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AnnotationConstantExpression(AnnotationNode node)

  - ### Method Detail

    - #### public String toString()

    - #### public void visit(GroovyCodeVisitor visitor)